summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
Diffstat (limited to 'academic')
-rw-r--r--academic/flashqard/README8
-rw-r--r--academic/flashqard/doinst.sh10
-rw-r--r--academic/flashqard/flashqard.SlackBuild72
-rw-r--r--academic/flashqard/flashqard.info10
-rw-r--r--academic/flashqard/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/academic/flashqard/README b/academic/flashqard/README
new file mode 100644
index 0000000000..0e0fa5eaaf
--- /dev/null
+++ b/academic/flashqard/README
@@ -0,0 +1,8 @@
+FlashQard is an educational software to improve your learning process.
+It is designed to help you learn not only a new language but anything
+that can be learned! This aim is achieved by using the widely used
+method called the Leitner System and the idea of "different card types
+for different purposes". Leitner System (proposed by Sebastian Leitner
+in the 1970s) is one the most efficient methods for learning, which
+allows you to focus on the most difficult flashcards and not waste your
+time on what you have already learned.
diff --git a/academic/flashqard/doinst.sh b/academic/flashqard/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/academic/flashqard/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/academic/flashqard/flashqard.SlackBuild b/academic/flashqard/flashqard.SlackBuild
new file mode 100644
index 0000000000..228be41394
--- /dev/null
+++ b/academic/flashqard/flashqard.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for flashqard
+# written by Mehdi Esmaeelpour ariarat@gmail.com www.slack-world.com
+
+PRGNAM=flashqard
+VERSION=${VERSION:-0.15.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+OUTPUT=${OUTPUT:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr ..
+ make VERBOSE=1
+ make install VERBOSE=1 DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README AUTHORS INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/flashqard.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/flashqard.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/flashqard/flashqard.info b/academic/flashqard/flashqard.info
new file mode 100644
index 0000000000..8c7394f733
--- /dev/null
+++ b/academic/flashqard/flashqard.info
@@ -0,0 +1,10 @@
+PRGNAM="flashqard"
+VERSION="0.15.0"
+HOMEPAGE="http://www.flashqard-project.org/"
+DOWNLOAD="http://downloads.sourceforge.net/flashqard/flashqard-0.15.0.tar.gz"
+MD5SUM="aa2c58d3b18f0ce8d2a31ece9d299647"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ariarat"
+EMAIL="ariarat@gmail.com"
+APPROVED="rworkman"
diff --git a/academic/flashqard/slack-desc b/academic/flashqard/slack-desc
new file mode 100644
index 0000000000..b248866a70
--- /dev/null
+++ b/academic/flashqard/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+flashqard: FlashQard (educational software to improve your learning process)
+flashqard:
+flashqard: This aim is achieved by using the widely used method, called
+flashqard: Leitner System, and the idea of "different card types for
+flashqard: different purposes".
+flashqard:
+flashqard: http://www.flashqard-project.org/
+flashqard:
+flashqard:
+flashqard:
+flashqard: